<?php

namespace HCM\Geral\Entity;

use HCM\Util\Repositories;
use HCM\Util\MsgCalculo;
use HCM\Util\Util;
use HCM\Util\FPA;
use HCM\Util\TkEntity;

class GpesitufunchEntity
{
    const IDSUSPFERIAS_NAO = 'N';

    const IDSUSPFERIAS_SIM = 'S';

    const IDSUSP13SAL_NAO = 'N';

    const IDSUSP13SAL_SIM = 'S';

    const IDSUSPREMUNERA_NAO = 'N';

    const IDSUSPREMUNERA_SIM = 'S';

    const IDAFASTSITUFUNC_NAO = 'N';

    const IDAFASTSITUFUNC_SIM = 'S';

    const IDSEXOSITUFUNC_MASCULINO = 'M';

    const IDSEXOSITUFUNC_AMBOS = 'A';

    const IDSEXOSITUFUNC_FEMININO = 'F';

    const IDESTABSITUFUNC_NAO = 'N';

    const IDESTABSITUFUNC_SIM = 'S';

    const IDESTABPOSTSITU_NAO = 'N';

    const IDESTABPOSTSITU_SIM = 'S';
    
    public function criaSituacaoFuncionalHistorico(
        $estabilidadePosterior, $estabilidade, $dtEfetiva, $sexo, $afastamento, $suspRemuneracao, $descricao, $nrSituFuncM
    ){
        $situacaoH = new self();
        $situacaoH->setIdestabpostsitu($estabilidadePosterior);
        $situacaoH->setIdestabsitufunc($estabilidade);
        $situacaoH->setDtefetiva($dtEfetiva);
        $situacaoH->setIdsexositufunc($sexo);
        $situacaoH->setIdafastsitufunc($afastamento);
        $situacaoH->setIdsuspremunera($suspRemuneracao);
        $situacaoH->setNmsitufunch($descricao);
        $situacaoH->setNrsitufuncm($nrSituFuncM);

        $situacaoH->persist();

        unset($situacaoH);
    }
}

